import piniaPersistConfig from '../helper/piniaPersist'

export const useJobDetailStore = defineStore('jobDetailStore', {
  // 相当于data
  state: () => {
    return {
      jobDetail: {} as any
    }
  },
  // 相当于计算属性
  getters: {
    getJobDtail: state => state.jobDetail
  },
  actions: {
    setJobDetail(jobDetail: any) {
      this.jobDetail = jobDetail
    }
  },
  persist: piniaPersistConfig('globalStore')
})
